cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/scim/v2/ServiceProviderConfig \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"authenticationSchemes": [
{
"description": "<string>",
"documentationUri": "<string>",
"name": "<string>",
"primary": true,
"specUri": "<string>",
"type": "<string>"
}
],
"bulk": {
"maxOperations": 123,
"maxPayloadSize": 123,
"supported": true
},
"changePassword": {
"supported": true
},
"etag": {
"maxResults": 123,
"supported": true
},
"filter": {
"maxResults": 123,
"supported": true
},
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"schemas": [
"<string>"
],
"sort": {
"supported": true
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint may be used by any member of the organization.
GET
/
api
/
scim
/
v2
/
ServiceProviderConfig
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/scim/v2/ServiceProviderConfig \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"authenticationSchemes": [
{
"description": "<string>",
"documentationUri": "<string>",
"name": "<string>",
"primary": true,
"specUri": "<string>",
"type": "<string>"
}
],
"bulk": {
"maxOperations": 123,
"maxPayloadSize": 123,
"supported": true
},
"changePassword": {
"supported": true
},
"etag": {
"maxResults": 123,
"supported": true
},
"filter": {
"maxResults": 123,
"supported": true
},
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"schemas": [
"<string>"
],
"sort": {
"supported": true
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
A successful response.

